KDE 4.2 PyKDE API Reference

- KDE's Python API

# HTMLFontElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Local change to font. See the <a href="http://www.w3.org/TR/REC-html40/present/graphics.html#edef-FONT"> FONT element definition in HTML 4.0. This element is deprecated in HTML 4.0.

## Methods

| __init__ (self)
| __init__ (self, DOM.HTMLFontElement other)
| __init__ (self, DOM.Node other)
| __init__ (self, HTMLFontElementImpl impl)
DOM.DOMString | color (self)
DOM.DOMString | face (self)
| setColor (self, DOM.DOMString a0)
| setFace (self, DOM.DOMString a0)
| setSize (self, DOM.DOMString a0)
DOM.DOMString | size (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLFontElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

__init__ | ( | self, |
|  | HTMLFontElementImpl | impl
| ) |  |  |

DOM.DOMString color | ( |  | self ) |

Font color. See the <a href="http://www.w3.org/TR/REC-html40/present/graphics.html#adef-color-FONT"> color attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

DOM.DOMString face | ( |  | self ) |

Font face identifier. See the <a href="http://www.w3.org/TR/REC-html40/present/graphics.html#adef-face-FONT"> face attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

setColor | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see color

setFace | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see face

setSize | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see size

DOM.DOMString size | ( |  | self ) |

Font size. See the <a href="http://www.w3.org/TR/REC-html40/present/graphics.html#adef-size-FONT"> size attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.